curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/ledger-entries/{ledgerEntryId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/ledger-entries/{ledgerEntryId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/ledger-entries/{ledgerEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "le_123456789",
"posting_set_id": "ps_123456789",
"pair_token": "pair_123456789",
"event_id": "evt_123456789",
"owner_type": "COMPANY",
"owner_id": "comp_123456789",
"amount": 10050,
"operation": "CREDIT",
"type": "TRANSACTION",
"currency": "BRL",
"payment_date": "2023-12-01",
"installment": 1,
"total_installments": 1,
"outstanding_amount": 0,
"settled": true,
"created_at": "2023-12-01T10:00:00.000Z",
"updated_at": "2023-12-01T10:00:00.000Z",
"settlement_items": [
{
"id": "si_123456789",
"ledger_entry_id": "le_123456789",
"settled_amount": 10050,
"settlement_date": "2023-12-01",
"method": "PIX",
"status": "PAID",
"operation_id": "op_123456789",
"created_at": "2023-12-01T10:00:00.000Z",
"updated_at": "2023-12-01T10:00:00.000Z",
"affiliation_bank_account_id": "ba_123456789",
"settlement_bank_account_id": "sba_123456789"
}
],
"company_id": "comp_123456789",
"organization_id": "org_123456789",
"affiliation_id": "aff_123456789",
"transaction_id": "tx_123456789",
"refund_id": "ref_123456789",
"dispute_id": "dis_123456789",
"cashout_id": "co_123456789",
"fully_settled_at": "2023-12-01T10:00:00.000Z",
"last_clearing_at": "2023-12-01T10:00:00.000Z"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Get a single ledger entry by ID
Requires the ledger.view permission.
Returns a single ledger entry by its ID.
Authorizations
Company API key for authentication
Path Parameters
The ledger entry ID
Response
Ledger entry details
Ledger entry data returned by the API
Ledger entry unique identifier
"le_123456789"
Posting set ID this entry belongs to
"ps_123456789"
Pair token for double-entry bookkeeping
"pair_123456789"
Event ID that triggered this entry
"evt_123456789"
Type of owner for this ledger entry
COMPANY, PLATFORM, PROVIDER "COMPANY"
ID of the owner
"comp_123456789"
Entry amount in cents
10050
Operation type
CREDIT, DEBIT "CREDIT"
Entry type
TRANSACTION, ORGANIZATION_FEE, PLATFORM_COST, PROVIDER_COST, ORGANIZATION_ANTICIPATION_FEE, PLATFORM_ANTICIPATION_COST, PLATFORM_REFUND_COST, PROVIDER_REFUND_COST, TRANSACTION_REFUND, TRANSACTION_REFUND_REVERSAL, ORGANIZATION_FEE_REFUND, PLATFORM_COST_REFUND, PROVIDER_COST_REFUND, TRANSACTION_DISPUTE, TRANSACTION_DISPUTE_REVERSAL "TRANSACTION"
Currency code
BRL "BRL"
Payment date
"2023-12-01"
Installment number
1
Total number of installments
1
Outstanding amount in cents
0
Whether the entry is settled
true
Entry creation timestamp
"2023-12-01T10:00:00.000Z"
Entry last update timestamp
"2023-12-01T10:00:00.000Z"
Settlement items for this ledger entry. Failed settlement attempts (status FAILED) are excluded.
Show child attributes
Show child attributes
Company ID (if owner is a company)
"comp_123456789"
Organization ID (if applicable)
"org_123456789"
Affiliation ID (if applicable)
"aff_123456789"
Associated transaction ID
"tx_123456789"
Associated refund ID
"ref_123456789"
Associated dispute ID
"dis_123456789"
Associated cashout ID
"co_123456789"
When the entry was fully settled
"2023-12-01T10:00:00.000Z"
Last clearing timestamp
"2023-12-01T10:00:00.000Z"

